Subject: Re: using initramfs with ppc

From: Eugene Surovegin <[email-masked]>
Date: Mon, 18 Apr 2005 09:03:06 -0700

On Mon, Apr 18, 2005 at 08:34:42AM -0700, Pawel Studencki wrote:
> Hello,
>  
> I use a custom board with 8xx and kernel 2.6.11 and
> try to mount root fs
> based on cramfs. I still have problems with mounting
> VFS:
> 
> VFS: Cannot open root device "mtdblock1" or
> unknown-block(31,1)
> Please append a correct "root=" boot option
> Kernel panic - not syncing: VFS: Unable to mount root
> fs on
> unknown-block(31,1)
> 
> I found, that perhaps the reason is initramfs.

Unlikely.

Please, check that you have mtdblock device enabled in config, also 
that you have configured your flash support, and mtdblock1 partition 
actually exists.

-- 
Eugene